element proxy {
  element configuration {
    element queue {
      # queue name to identify the message-queue (default: proxyMQ)
      attribute name { xsd:string },
      # max queued messages (default: 2000)
      attribute count { xsd:unsignedInt },
      # max message size (default: 65535)
      attribute size { xsd:unsignedInt }
    } ?,
    element sourceName {
      # name of the data source (to name the plugin) (default: RDA)
      attribute name { xsd:string }
    } ?
  },
  element sources {
    element source {
      # RDA device to connect to
      attribute device { xsd:string },
      # RDA property to retrieve
      attribute property { xsd:string },
      # Target DIM service
      attribute destination { xsd:string }
    } *
  },
  element destinations {
    # RDA device to forward commands to
    attribute device { xsd:string },
    # RDA property
    attribute property { xsd:string },
    # DIM XMLCmd service name
    attribute destination { xsd:string }
  }
}
